﻿CREATE TABLE IF NOT EXISTS "AxisEvents" (
    "Uid" TEXT NOT NULL CONSTRAINT "PK_AxisEvents" PRIMARY KEY,
    "EventID" INTEGER NOT NULL,
    "AlarmID" INTEGER NOT NULL
);

CREATE TABLE IF NOT EXISTS "AxisPeople" (
    "Uid" TEXT NOT NULL,
    "UserId" TEXT NOT NULL CONSTRAINT "PK_AxisPeople" PRIMARY KEY,
    "ControllerUid" TEXT NOT NULL
);

CREATE TABLE IF NOT EXISTS "AxisTimeZones" (
    "Uid" TEXT NOT NULL,
    "Token" TEXT NOT NULL CONSTRAINT "PK_AxisTimeZones" PRIMARY KEY,
    "ControllerUid" TEXT NOT NULL
);

CREATE TABLE IF NOT EXISTS "AxisAccessPoints" (
    "Uid" TEXT NOT NULL CONSTRAINT "PK_AxisAccessPoints" PRIMARY KEY,
    "Token" TEXT NOT NULL
);

CREATE TABLE IF NOT EXISTS "AxisAccessProfiles" (
    "Uid" TEXT NOT NULL,
    "Token" TEXT NOT NULL CONSTRAINT "PK_AxisAccessProfiles" PRIMARY KEY,
    "TimezoneUid" TEXT NOT NULL,
    "AccessPointUid" TEXT NOT NULL,
    "ControllerUid" TEXT NOT NULL
);

CREATE TABLE IF NOT EXISTS "AxisCredentials" (
    "Uid" TEXT NOT NULL,
    "CredentialId" TEXT NOT NULL CONSTRAINT "PK_AxisCredential" PRIMARY KEY,
    "UserUid" TEXT NOT NULL,
    "Card" TEXT NOT NULL,
    "PIN" TEXT NOT NULL,
    "ControllerUid" TEXT NOT NULL
);
