﻿CREATE TABLE IF NOT EXISTS "BoschDevicesEx" (
    "UniqID" TEXT NOT NULL CONSTRAINT "PK_BoschDevices" PRIMARY KEY,
    "Uid" TEXT NOT NULL,
    "Id" INTEGER NOT NULL,
    "Type" INTEGER NOT NULL,
    "Device" TEXT NOT NULL,
    "Serial" TEXT NOT NULL 
);

CREATE TABLE IF NOT EXISTS "BoschPeople" (
    "Guid" TEXT NOT NULL CONSTRAINT "PK_BoschPeople" PRIMARY KEY,
    "Uid" TEXT NOT NULL,
    "Id" INTEGER NOT NULL,
    "Card" TEXT NOT NULL,
    "Device" TEXT NOT NULL
);

CREATE TABLE IF NOT EXISTS "BoschAccessLevels" (
    "Guid" TEXT NOT NULL CONSTRAINT "PK_BoschAccessLevels" PRIMARY KEY,
    "Uid" TEXT NOT NULL,
    "Id" INTEGER NOT NULL,
    "Device" TEXT NOT NULL
);

CREATE TABLE IF NOT EXISTS "BoschEvents" (
    "Uid" TEXT NOT NULL CONSTRAINT "PK_BoschEvents" PRIMARY KEY,
    "EventID" INTEGER NOT NULL
);
